
function SetFBPSettingCallback(jsonResult) {
	window.external.notifyConfigResult(JSON.stringify(jsonResult));
}

function SetFBPSetting(id, value) {
	PSFix.fixSingle(id, value, SetFBPSettingCallback);
}

function SetMFBPSetting(id, value) {
	MPSFix.fixSingle(id, value, SetFBPSettingCallback);
}

function scanCallback(data) {
	var str = JSON.stringify(data, undefined, 4);
	//PSDebug.info(str);
	
	window.external.notifyScanResult(str);
}

function TriggerScan() {
	PSScan.scan(scanCallback);
}

function TriggerMFBScan() {
	MPSScan.scan(scanCallback);
}

function LogonFB(username, pwd) {
    if (null == document.getElementById('pass')) {
        window.external.notifyLoggedIn();
        return;
    }
    if (null != document.getElementById('email')) {
        document.getElementById('email').value = username;
    }
    document.getElementById('pass').value = pwd;
    document.getElementById('loginbutton').childNodes[0].click();
}


function postonFBWall(msg) {
	if(msg.length>0){
		//var nodeList = document.querySelectorAll('._118');
		//if(nodeList[0].childNodes[0].tagName == 'FORM'){
		//    document.getElementsByName("xhpc_message")[0].value = msg; 
		//    nodeList[0].childNodes[0].submit();
		//}
		window.external.log("ready to post: forms="+document.forms.length);
		for(var i=0;i<document.forms.length;i++){
		    var oForm = document.forms[i];

		    if(oForm.action == "http://www.facebook.com/ajax/updatestatus.php"){
		    	window.external.log("post form found");
				var e = document.getElementsByTagName("textarea");
				for(var i=0;i<e.length;i++){
				    if(e[i].name == "xhpc_message" || e[i].name == "xhpc_message_text"){
				    	window.external.log("textarea found");
				        e[i].value = msg;
				        break;
				    }
				}
				window.external.log("form submit");
				oForm.submit();
				break;
		    }
		}
		
	}
}

function logout() {
	var logoutfrm = document.getElementById("logout_form");
	if(logoutfrm!=null){
		for(var i=0;i<logoutfrm.childNodes.length;i++){
			if(logoutfrm.childNodes[i].tagName == 'LABEL'){
				logoutfrm.childNodes[i].childNodes[0].click();
			}
		}
	} else {
		console.log(document.documentElement.innerHTML);
	}
}

function parseAccount(data) {
     try {
         var account = '';
         var start = data.indexOf('mfsm fcg');
         if (start != -1) {
             start += 10;
             var stop = data.indexOf('<', start);
             if (stop != -1) {
                 account = data.substring(start, stop);
             }
         }
         console.log("Account:" + account);

         if ((account == null) || (account == '')) {
             return null;
         } else {
             return account;
         }


     } catch(err) {
         return null;
     }
}

function parsePhoneAccount(data) {
     try {
         var account = '';
         var start = data.indexOf('phone_number');
         if (start != -1) {
             start += 16;
             var stop = data.indexOf('&', start);
             if (stop != -1) {
                 account = data.substring(start, stop);
             }
         }
         console.log("PhoneAccount:" + account);

         if ((account == null) || (account == '')) {
             return null;
         } else {
             return account;
         }


     } catch(err) {
         return null;
     }
}

function GetAccount(){
  		console.log(document.documentElement.innerHTML);
  		window.fpsa_js.printLog(document.documentElement.innerHTML);

        var account = parseAccount(document.documentElement.innerHTML);
    	window.fpsa_js.notifyLoginAccount(account);

}

function GetPhoneAccount(){
	console.log(document.documentElement.innerHTML);
	window.fpsa_js.printLog(document.documentElement.innerHTML);

    var account = parsePhoneAccount(document.documentElement.innerHTML);
	window.fpsa_js.notifyLoginAccount(account);
}


function CheckLoggedIn() {

    if (null == document.getElementById('pass')) {
        window.fpsa_js.notifyLoggedIn();
    }
    
    else
    {
    	GetAccount();
    }
}






