
function SetFBPSettingCallback(jsonResult) {
    window.location="js2ios://settingCallback/"+encodeURIComponent(JSON.stringify(jsonResult));
}

function SetFBPSetting(id, value) {
	PSFix.fixSingle(id, value, SetFBPSettingCallback);
}

function setFBSettingsPartialCallback(jsonResult) {
  window.location="js2ios://partialSettingsCallback/"+encodeURIComponent(JSON.stringify(jsonResult));
}

function partialSetFBSettings(id, value) {
  PSFix.fixSingle(id, value, setFBSettingsPartialCallback);
}

function scanCallback(data) {
  var str = JSON.stringify(data, undefined, 4);

  window.location="js2ios://scanCallback/"+encodeURIComponent(str);
}

function TriggerScan() {
	PSScan.scan(scanCallback);
}

function logout() {
	var logoutfrm = document.getElementById("logout_form");
	if(logoutfrm!=null){
		for(var i=0;i<logoutfrm.childNodes.length;i++){
			if(logoutfrm.childNodes[i].tagName == 'LABEL'){
				logoutfrm.childNodes[i].childNodes[0].click();
			}
		}
	} else {
		console.log(document.documentElement.innerHTML);
	}
}


function GetAccount(){
	var loginForm = document.getElementById("login_form");
	if (loginForm != null)
	{
        //customized only for iOS
        loginForm.addEventListener('submit', function(e){
            e.preventDefault();  //cancel form submit

            var classFcg = document.getElementsByClassName("_56bg _55ws _5ruq");
            var loginAcc = "";

            if(classFcg.length == 4){
                loginAcc = classFcg[1].value;
                window.location="js2ios://getAccount/"+encodeURIComponent(loginAcc);
            }else if(classFcg.length == 2){
                // in the case of incorrect email after a successful login
                loginAcc = classFcg[0].value;
                window.location="js2ios://getAccount/"+encodeURIComponent(loginAcc);
            }

            setInterval(function(e){
                loginForm.submit();  //continue submit form
            }, 500);


        }, false);
        //window.location="js2ios://log/bindSubmit";
	}

}

function ParseAcc()
{
    /*
	var loginAcc = document.getElementsByName("email");
	if (loginAcc != null)
	{
		loginAcc = loginAcc[0].value;

		if (loginAcc == "")
		{
			// in the case of incorrect email after a successful login
			var classFcg = document.getElementsByClassName("fcg");
			loginAcc = classFcg[0].innerHTML;
		}

        window.location="js2ios://getAccount/"+encodeURIComponent(loginAcc);
	}
    */
}

function CheckLoggedIn() {

    if (null == document.getElementsByName('pass')) {
        window.location="js2ios://notifyLoggedIn/true";
    } else {
        window.location="js2ios://notifyLoggedIn/false";
    	GetAccount();
    }
}
